## com.google.gwt.core.ext.typeinfo
Class JConstructor

    java.lang.Object
      com.google.gwt.core.ext.typeinfo.JAbstractMethod
          com.google.gwt.core.ext.typeinfo.JConstructor

All Implemented Interfaces:
  HasMetaData

public class JConstructor
extends JAbstractMethod

Represents a constructor declaration.

Constructor Summary
`JConstructor(JClassType enclosingType, java.lang.String name, int declStart, int declEnd, int bodyStart, int bodyEnd)`

Method Summary
`JClassType` `getEnclosingType()` Gets the type in which this method or constructor was declared.
`java.lang.String` `getReadableDeclaration()`
`JConstructor` `isConstructor()`
`JMethod` `isMethod()`
`java.lang.String` `toString()`

Methods inherited from class com.google.gwt.core.ext.typeinfo.JAbstractMethod
`addMetaData, addModifierBits, addThrows, findParameter, getBodyEnd, getBodyStart, getDeclEnd, getDeclStart, getMetaData, getMetaDataTags, getModifierBits, getName, getParameters, getThrows, isDefaultAccess, isPrivate, isProtected, isPublic, toStringParamsAndThrows`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JConstructor

    public JConstructor(JClassType enclosingType,
                        java.lang.String name,
                        int declStart,
                        int declEnd,
                        int bodyStart,
                        int bodyEnd)

Method Detail

### getEnclosingType

    public JClassType getEnclosingType()

  Description copied from class: `JAbstractMethod`
  Gets the type in which this method or constructor was declared.

  Specified by:
    `getEnclosingType` in class `JAbstractMethod`

### getReadableDeclaration

    public java.lang.String getReadableDeclaration()

  Specified by:
    `getReadableDeclaration` in class `JAbstractMethod`

### isConstructor

    public JConstructor isConstructor()

  Specified by:
    `isConstructor` in class `JAbstractMethod`

### isMethod

    public JMethod isMethod()

  Specified by:
    `isMethod` in class `JAbstractMethod`

### toString

    public java.lang.String toString()